Bug 508951 - (rhplectomy) rhpl needs to die
rhpl needs to die
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rhpl (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On: 508946 508947 508948 508968 508974 508975 508984 508988 508991 509424 509913 512205 513617 513981
Blocks: 443494 F12Target
  Show dependency treegraph
 
Reported: 2009-06-30 11:58 EDT by Jeremy Katz
Modified: 2009-11-11 16:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-11 16:22:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2009-06-30 11:58:32 EDT
rhpl is now just a mis-mash and needs to die.  Tracking bug for changes to packages depending on rhpl
Comment 1 Roman Rakus 2009-07-16 11:16:11 EDT
Is there substitution for all functionality? I'm interested in rhpl.executil (for now).
Comment 2 Jeremy Katz 2009-07-16 11:24:29 EDT
(In reply to comment #1)
> Is there substitution for all functionality? I'm interested in rhpl.executil
> (for now).  

Chris has a new module almost ready to replace rhpl.executil.  And the advantage is that it's going to also gain the bugzilla filing stuff we use in anaconda
Comment 3 Chris Lumens 2009-07-16 11:27:15 EDT
(In reply to comment #1)
> Is there substitution for all functionality? I'm interested in rhpl.executil
> (for now).  

In anaconda, we've replaced using rhpl.executil with calls to python's subprocess module.  That gives us everything we need, though if you're doing something rather complicated it might take a bit of coding.
Comment 5 Chris Lumens 2009-11-11 16:22:56 EST
rhpl is now an orphan.

Note You need to log in before you can comment on or make changes to this bug.